# Run tests in check section
%bcond_without check

# https://github.com/xordataexchange/crypt
%global goipath         github.com/xordataexchange/crypt
%global commit          b2862e3d0a775f18c7cfe02273500ae307b61218

%global common_description %{expand:
Store and retrieve encrypted configs from etcd or consul.}

%gometa

Name:           %{goname}
Version:        0.0.2
Release:        1%{?dist}
Summary:        Store and retrieve encrypted configs from etcd or consul
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/armon/consul-api)
BuildRequires: golang(github.com/coreos/etcd/client)
BuildRequires: golang(golang.org/x/crypto/openpgp)

%description
%{common_description}

%package -n xde-crypt
Summary:       %{summary}

%description -n xde-crypt
%{common_description}

This package provides the xordataexchange crypt binary.


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup

%build
%gobuildroot
%gobuild -o _bin/crypt %{goipath}/bin/crypt/


%install
%goinstall

install -Dpm 0755 _bin/crypt %{buildroot}%{_bindir}/xde-crypt


%if %{with check}
%check
%gochecks
%endif


%files -n xde-crypt
%license LICENSE
%{_bindir}/xde-crypt


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Apr 12 14:22:53 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.2-1.20190412gitb2862e3
- First package for Fedora
